#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin>>n;
    for (int i=0;i<n;i++){
        string a;
        cin>>a;
        unordered_map<char,int>b;
        for (int j=0;j<a.size();j++){
            b[a[j]]++;
        }
        if (a.size()%2==0){
            bool d=1;
            for (auto p:b){
                if (p.second%2==1){
                    d=0;
                    break;
                }
            }
            if (d){
                cout<<"1";
            }else{
                cout<<"0";
            }
        }else{
            int d=0;
            for (auto p:b){
                if (p.second%2==1){
                    d++;
                    if (d==2){
                        break;
                    }
                }
            }
            if (d!=2){
                cout<<"1";
            }else{
                cout<<"0";
            }
        }
    }
    return 0;
}

